- Primeros pasos
- Autenticación
- Ámbitos y permisos
- API de gestión de plataformas
Guía de la API de Test Cloud
As an organization admin, use this endpoint to retrieve the consumption summary for all tenants in your organization.
Punto final de API
POST {accessURL}/lease_/api/usage/{organizationId}/tenants/consumption-summary
Sustituye {accessURL} en todas las rutas de los puntos finales por la URL base de tu plataforma en la nube:
| Cloud Platform | URL de acceso |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud Sector Público | https://govcloud.uipath.us/ |
| Test Cloud Dedicado | https://{customURL}.dedicated.uipath.com/ |
Solicitar encabezados.
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
Para obtener el {access_token}, asegúrate de autenticarte a través del método ROPC descrito aquí.
Parámetros de ruta
| Parámetros de ruta | Tipo de datos | Descripción |
|---|---|---|
organizationId (obligatorio) | Cadena (GUID) | The ID of the organization for which to retrieve the consumption summary. |
Solicitar cuerpo
The request body specifies the date range and the consumable code for which to retrieve the summary. For a detailed list of consumable codes, refer to Consumables.
{
"startDate": 0,
"endDate": 0,
"consumableCode": "string"
}
{
"startDate": 0,
"endDate": 0,
"consumableCode": "string"
}
startDate and endDate are Unix timestamps in milliseconds.
Respuesta
200 OK
Returns the consumption summary across all tenants in the organization.
Solicitud de ejemplo
La llamada debe parecerse al siguiente ejemplo (cURL):
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/consumption-summary' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"startDate": 1704067200000,
"endDate": 1706745600000,
"consumableCode": "consumption_unit_code"
}'
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/consumption-summary' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"startDate": 1704067200000,
"endDate": 1706745600000,
"consumableCode": "consumption_unit_code"
}'
Here's the response body for a successful consumption summary retrieval:
{
"consumedFromOrgWithoutTenant": 0,
"tenantConsumptionItems": [
{
"tenantId": "string",
"consumedFromTenantPool": 0,
"consumedFromOrgPool": 0
}
]
}
{
"consumedFromOrgWithoutTenant": 0,
"tenantConsumptionItems": [
{
"tenantId": "string",
"consumedFromTenantPool": 0,
"consumedFromOrgPool": 0
}
]
}